import request from '@/utils/request'

// 查询初诊单列表
export function listFsFirstDiagnosis(query) {
  return request({
    url: '/his/fsFirstDiagnosis/list',
    method: 'get',
    params: query
  })
}

// 查询初诊单详细
export function getFsFirstDiagnosis(id) {
  return request({
    url: '/his/fsFirstDiagnosis/' + id,
    method: 'get'
  })
}

// 新增初诊单
export function addFsFirstDiagnosis(data) {
  return request({
    url: '/his/fsFirstDiagnosis',
    method: 'post',
    data: data
  })
}

// 修改初诊单
export function updateFsFirstDiagnosis(data) {
  return request({
    url: '/his/fsFirstDiagnosis',
    method: 'put',
    data: data
  })
}

// 删除初诊单
export function delFsFirstDiagnosis(id) {
  return request({
    url: '/his/fsFirstDiagnosis/' + id,
    method: 'delete'
  })
}

// 导出初诊单
export function exportFsFirstDiagnosis(query) {
  return request({
    url: '/his/fsFirstDiagnosis/export',
    method: 'get',
    params: query
  })
}